Bug 235154 - Firstboot reconfig mode does not work
Firstboot reconfig mode does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 22:59 EDT by Hassan Aurag
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 09:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hassan Aurag 2007-04-03 22:59:19 EDT
Description of problem:
Reconfig mode does not work at all.

Version-Release number of selected component (if applicable):
1.4.6-1

How reproducible:
All the time.Either boot and pass on reconfig or touch '/etc/reconfigSys' and
reboot.

Steps to Reproduce:
1. Boot and at grub prompt pass on reconfig or
2. touch /etc/reconfigSys and reboot

  
Actual results:
Nothing happens

Expected results:
Firstboot reconfiguration starts

Additional info:
This is fixed in fc6 package 1.4.23-1. I diffed the packages and found some
differences, notably in the mayRun function etc... But there are also other
fixes such as potential crashes (no vbox etc...).

 My question is really can I just copy the rpm files for firstboot from fc6 to
fc5? We are shipping systems and would like the customer to be able to reconfig
their system.
Comment 1 Chris Lumens 2007-04-04 09:45:36 EDT
I don't know that you are going to be able to use the FC6 firstboot RPM on FC5
as-is due to the rhpxl (1.4.8) and system-config-soundcard (1.4.16) changes. 
Try it and see.  If you have the ability to distribute a patched package, you
can just isolate the patch that fixes the reconfig issue.  That was the only
thing fixed in 1.4.10.

Note You need to log in before you can comment on or make changes to this bug.